// HACK: Position Chakra's toast higher than Chakra's default, which is 0px.
#chakra-toast-manager-bottom {
  bottom: 3.2rem !important;
}

// Enter animation for any task with height higher than ending height will look choppy.
$starting-height: 0px;
$ending-height: 500px;

$starting-opacity: 0;
$ending-opacity: 1;

$transition-duration: 300ms;

.task-enter {
  max-height: $starting-height;
  opacity: $starting-opacity;
  overflow: hidden;
}

.task-enter-active {
  max-height: $ending-height;
  opacity: $ending-opacity;
  transition: max-height $transition-duration,
    opacity $transition-duration;
}

.task-exit {
  max-height: $ending-height;
  opacity: $ending-opacity;
}

.task-exit-active {
  max-height: $starting-height;
  opacity: $starting-opacity;
  overflow: hidden;
  transition: max-height $transition-duration,
    opacity $transition-duration;
}